import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增课程流适用业务关系
    appCourseStreamingBusiness(data) {
        return request({
            url: '/course/streaming/business',
            method: 'post',
            data
        })
    },
    //删除课程流适用业务关系
    delCourseStreamingBusiness(data) {
        return request({
            url: '/course/streaming/business/del/',
            method: 'post',
            data
        })
    },
    //修改课程流适用业务关系
    editCourseBusinessCourseStreamingBusiness(data) {
        return request({
            url: '/course/streaming/business/edit',
            method: 'post',
            data
        })
    },
    //查询课程流适用业务关系列表
    inquireCourseStreamingBusiness(data) {
        return request({
            url: '/course/streaming/business/list',
            method: 'get',
            params: data
        })
    },
    //获取课程流适用业务关系详细信息
    obtainCourseStreamingBusiness(data) {
        return request({
            url: `/course/streaming/business/` + data,
            method: 'get',
        })
    },
}